ghMoments {fBasics} | R Documentation

## Generalized Hyperbolic Distribution Moments

### Description

Calculates moments of the generalized hyperbbolic distribution function

### Usage

    ghMean(alpha=1, beta=0, delta=1, mu=0, lambda=-1/2)
    ghVar(alpha=1, beta=0, delta=1, mu=0, lambda=-1/2)
    ghSkew(alpha=1, beta=0, delta=1, mu=0, lambda=-1/2)
    ghKurt(alpha=1, beta=0, delta=1, mu=0, lambda=-1/2)

    ghMoments(order, type = c("raw", "central", "mu"),
        alpha = 1, beta=0, delta=1, mu=0, lambda=-1/2)

### Arguments

`alpha, beta, delta, mu, lambda` | numeric values. `alpha` is the first shape parameter; `beta` is the second shape parameter in the range `(0, alpha)`; `delta` is the scale parameter, must be zero or positive; `mu` is the location parameter, by default 0; and `lambda` defines the sublclass, by default -1/2.
`order` | an integer value, the order of the moment.
`type` | a character value, `"raw"` returns the moments about zero, `"central"` returns the central moments about the mean, and `"mu"` returns the moments about the location parameter `mu`.

### Value

a numerical value.

### Author(s)

Diethelm Wuertz.

### References

Scott, D. J., Wuertz, D. and Tran, T. T. (2008) Moments of the Generalized Hyperbolic Distribution. Preprint.

### Examples

    ## ghMean -
       ghMean(alpha=1.1, beta=0.1, delta=0.8, mu=-0.3, lambda=1)

    ## ghKurt -
       ghKurt(alpha=1.1, beta=0.1, delta=0.8, mu=-0.3, lambda=1)

    ## ghMoments -
       ghMoments(4,
         alpha=1.1, beta=0.1, delta=0.8, mu=-0.3, lambda=1)
       ghMoments(4, "central",
         alpha=1.1, beta=0.1, delta=0.8, mu=-0.3, lambda=1)

[Package fBasics version 3042.89 Index]